package org.studiorailgun.sim.character.emotion;

/**
 * A definition of an emotion
 */
public class EmotionDef {

    /**
     * The valence of the emotion
     */
    float valence;
    
    /**
     * The arousal of the emotion
     */
    float arousal;

    /**
     * The dominance of the emotion
     */
    float dominance;

    /**
     * The name of this emotion
     */
    String name;

    /**
     * Gets the valence of the emotion
     * @return The valence of the emotion
     */
    public float getValence() {
        return valence;
    }

    /**
     * Sets the valence of the emotion
     * @param valence The valence of the emotion
     */
    public void setValence(float valence) {
        this.valence = valence;
    }

    /**
     * Gets the arousal of the emotion
     * @return The arousal of the emotion
     */
    public float getArousal() {
        return arousal;
    }

    /**
     * Sets the arousal of the emotion
     * @param arousal The arousal of the emotion
     */
    public void setArousal(float arousal) {
        this.arousal = arousal;
    }

    /**
     * Gets the dominance of the emotion
     * @return The dominance of the emotion
     */
    public float getDominance() {
        return dominance;
    }

    /**
     * Sets the dominance of the emotion
     * @param dominance The dominance of the emotion
     */
    public void setDominance(float dominance) {
        this.dominance = dominance;
    }

    /**
     * Gets the name of this emotion definition
     * @return The name of the emotion
     */
    public String getName(){
        return name;
    }
    
}
